Subject: Re: `find' command broken.
From: [email-masked] ("$Bill Luebkert")

14 Jul 1997 18:47:24 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (Win95; I)
Original-To: James Dumser <[email-masked]>
Original-CC: [email-masked]
Original-Sender: [email-masked]

James Dumser wrote:
> For things to work
> correctly with zsh, you'd have to start with
>         find . -name '\'*.c\'' -print

Fails in tcsh:
	Unmatched '.

>                 V       which zsh would expand to
>         find . -name '*.c' -print
>                 V       which cygwin would expand to

Cygwin doesn't look at quotes in globify.  It will glob
the *.c regardless of quotes (at least the way I read it).

>         find . -name *.c -print
>                         which is what we want find to see

Exactly, but it never makes it to the program.

> So what's the solution? I can think of several:
>  - don't use non-cygwin, globbing shells
>  - use non-cygwin utilities
>  - be very meticulous when you mix non-cygwin shells and cygwin programs
>  - port your non-cygwin, globbing shell to cygwin (which should be easier
>    now with Sergery's latest cygwin.dll)

What's the matter with fix Cygwin32 to handle quoting
properly for non-cygwin32 apps?

-- 
  ,-/-  __      _  _         $Bill Luebkert
 (_/   /  )    // //       DBE Collectibles
  / ) /--<  o // //      http://www.wgn.net/~dbe/
-/-' /___/_<_</_</_    Email: [email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".